package com.crm.rely.backend.core.pojo.table;

import com.crm.rely.backend.core.pojo.BaseTable;
import lombok.Data;

import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

/**
 * @author y
 * @create 2022/6/8
 */
@Data
public class TradeSalesCommissionTable extends BaseTable {

    private Long login;

    private Long order;

    private String symbol;

    private Long symbolType;

    private Float volume;

    private Date openTime;

    private Float openPrice;

    private Date closeTime;

    private Float closePrice;

    private String groupCode;

    private Long groupType;

    private Long agentId;

    private String ibNo;

    private String agentStamp;

    private Long salesId;

    private String salesNo;

    private String salesStamp;
    /**
     * 佣金比例
     */
    private Float point;
    /**
     * 提成比例
     */
    private Float share;

    private Float commission;

    private String platform;


    public static TradeSalesCommissionTable getInstance() {
        TradeSalesCommissionTable table = new TradeSalesCommissionTable();
        table.setVolume(0F);
        table.setPoint(0F);
        table.setShare(0F);
        table.setCommission(0F);
        return table;
    }

}
